﻿<UserControl x:Class="VECTO3GUI.Views.ComponentViews.Declaration.AxlesDeclarationView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:interfaces="clr-namespace:VECTO3GUI.ViewModel.Interfaces"
             mc:Ignorable="d" 
             d:DesignHeight="800" d:DesignWidth="800">
    <d:AxlesDeclarationView.DataContext>
        <x:Type Type="interfaces:IAxlesViewModel"/>
    </d:AxlesDeclarationView.DataContext>
    <StackPanel Orientation="Vertical" Width="600" HorizontalAlignment="Left"  Grid.IsSharedSizeScope="True">
        <TextBlock Margin="10, 5" Text="{Binding AxleConfiguration, Mode=OneWay}"/>
        <DockPanel Margin="10, 10">
            <StackPanel DockPanel.Dock="Left">
                <ListView ItemsSource="{Binding Axles}" SelectedItem="{Binding CurrentAxle}" MinHeight="80" MaxHeight="200">
                    <ListView.ItemContainerStyle>
                        <Style TargetType="ListViewItem">
                            <Setter Property="HorizontalContentAlignment" Value="Stretch" />
                        </Style>
                    </ListView.ItemContainerStyle>
                    <ListView.View>
                        <GridView >
                            <GridViewColumn Width="auto">
                                <GridViewColumnHeader MinWidth="80" IsEnabled="False" Foreground="Black">Axle</GridViewColumnHeader>
                                <GridViewColumn.CellTemplate>
                                    <DataTemplate DataType="interfaces:AxleViewModel">
                                        <DockPanel>
                                            <TextBlock TextAlignment="Center" Text="{Binding AxleIndex}"/>
                                        </DockPanel>
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>
                        </GridView>
                    </ListView.View>
                </ListView>
            </StackPanel>
            <ContentControl Content="{Binding CurrentAxle}" DockPanel.Dock="Right" Margin="20,0,10,0"/>
        </DockPanel>
    </StackPanel>
</UserControl>
